namespace Feliz

open Fable.Core
open Feliz.Styles

[<Erase>]
type transitionProperty =
    static member inline all = unbox<ITransitionProperty> "all"
    static member inline backdropFilter = unbox<ITransitionProperty> "backdrop-filter"
    static member inline background = unbox<ITransitionProperty> "background"
    static member inline backgroundColor = unbox<ITransitionProperty> "background-color"
    static member inline backgroundPosition = unbox<ITransitionProperty> "background-position"
    static member inline backgroundSize = unbox<ITransitionProperty> "background-size"
    static member inline border = unbox<ITransitionProperty> "border"
    static member inline borderBottom = unbox<ITransitionProperty> "border-bottom"
    static member inline borderBottomColor = unbox<ITransitionProperty> "border-bottom-color"
    static member inline borderBottomLeftRadius = unbox<ITransitionProperty> "border-bottom-left-radius"
    static member inline borderBottomRightRadius = unbox<ITransitionProperty> "border-bottom-right-radius"
    static member inline borderBottomWidth = unbox<ITransitionProperty> "border-bottom-width"
    static member inline borderColor = unbox<ITransitionProperty> "border-color"
    static member inline borderEndEndRadius = unbox<ITransitionProperty> "border-end-end-radius"
    static member inline borderEndStartRadius = unbox<ITransitionProperty> "border-end-start-radius"
    static member inline borderLeft = unbox<ITransitionProperty> "border-left"
    static member inline borderLeftColor = unbox<ITransitionProperty> "border-left-color"
    static member inline borderLeftWidth = unbox<ITransitionProperty> "border-left-width"
    static member inline borderRadius = unbox<ITransitionProperty> "border-radius"
    static member inline borderRight = unbox<ITransitionProperty> "border-right"
    static member inline borderRightColor = unbox<ITransitionProperty> "border-right-color"
    static member inline borderRightWidth = unbox<ITransitionProperty> "border-right-width"
    static member inline borderStartEndRadius = unbox<ITransitionProperty> "border-start-end-radius"
    static member inline borderStartStartRadius = unbox<ITransitionProperty> "border-start-start-radius"
    static member inline borderTop = unbox<ITransitionProperty> "border-top"
    static member inline borderTopColor = unbox<ITransitionProperty> "border-top-color"
    static member inline borderTopLeftRadius = unbox<ITransitionProperty> "border-top-left-radius"
    static member inline borderTopRightRadius = unbox<ITransitionProperty> "border-top-right-radius"
    static member inline borderTopWidth = unbox<ITransitionProperty> "border-top-width"
    static member inline borderWidth = unbox<ITransitionProperty> "border-width"
    static member inline bottom = unbox<ITransitionProperty> "bottom"
    static member inline boxShadow = unbox<ITransitionProperty> "box-shadow"
    static member inline caretColor = unbox<ITransitionProperty> "caret-color"
    static member inline clip = unbox<ITransitionProperty> "clip"
    static member inline clipPath = unbox<ITransitionProperty> "clip-path"
    static member inline color = unbox<ITransitionProperty> "color"
    static member inline columnCount = unbox<ITransitionProperty> "column-count"
    static member inline columnGap = unbox<ITransitionProperty> "column-gap"
    static member inline columnRule = unbox<ITransitionProperty> "column-rule"
    static member inline columnRuleColor = unbox<ITransitionProperty> "column-rule-color"
    static member inline columnRuleWidth = unbox<ITransitionProperty> "column-rule-width"
    static member inline columnWidth = unbox<ITransitionProperty> "column-width"
    static member inline columns = unbox<ITransitionProperty> "columns"
    static member inline filter = unbox<ITransitionProperty> "filter"
    static member inline flex = unbox<ITransitionProperty> "flex"
    static member inline flexBasis = unbox<ITransitionProperty> "flex-basis"
    static member inline flexGrow = unbox<ITransitionProperty> "flex-grow"
    static member inline flexShrink = unbox<ITransitionProperty> "flex-shrink"
    static member inline font = unbox<ITransitionProperty> "font"
    static member inline fontSize = unbox<ITransitionProperty> "font-size"
    static member inline fontSizeAdjust = unbox<ITransitionProperty> "font-size-adjust"
    static member inline fontStretch = unbox<ITransitionProperty> "font-stretch"
    static member inline fontVariationSettings = unbox<ITransitionProperty> "font-variation-settings"
    static member inline fontWeight = unbox<ITransitionProperty> "font-weight"
    static member inline gap = unbox<ITransitionProperty> "gap"
    static member inline gridColumnGap = unbox<ITransitionProperty> "grid-column-gap"
    static member inline gridGap = unbox<ITransitionProperty> "grid-gap"
    static member inline gridRowGap = unbox<ITransitionProperty> "grid-row-gap"
    static member inline gridTemplateColumns = unbox<ITransitionProperty> "grid-template-columns"
    static member inline gridTemplateRows = unbox<ITransitionProperty> "grid-template-rows"
    static member inline height = unbox<ITransitionProperty> "height"
    static member inline inset = unbox<ITransitionProperty> "inset"
    static member inline insetBlock = unbox<ITransitionProperty> "inset-block"
    static member inline insetBlockEnd = unbox<ITransitionProperty> "inset-block-end"
    static member inline insetBlockStart = unbox<ITransitionProperty> "inset-block-start"
    static member inline insetInline = unbox<ITransitionProperty> "inset-inline"
    static member inline insetInlineEnd = unbox<ITransitionProperty> "inset-inline-end"
    static member inline insetInlineStart = unbox<ITransitionProperty> "inset-inline-start"
    static member inline left = unbox<ITransitionProperty> "left"
    static member inline letterSpacing = unbox<ITransitionProperty> "letter-spacing"
    static member inline lineClamp = unbox<ITransitionProperty> "line-clamp"
    static member inline lineHeight = unbox<ITransitionProperty> "line-height"
    static member inline margin = unbox<ITransitionProperty> "margin"
    static member inline marginBottom = unbox<ITransitionProperty> "margin-bottom"
    static member inline marginLeft = unbox<ITransitionProperty> "margin-left"
    static member inline marginRight = unbox<ITransitionProperty> "margin-right"
    static member inline marginTop = unbox<ITransitionProperty> "margin-top"
    static member inline mask = unbox<ITransitionProperty> "mask"
    static member inline maskBorder = unbox<ITransitionProperty> "mask-border"
    static member inline maskPosition = unbox<ITransitionProperty> "mask-position"
    static member inline maskSize = unbox<ITransitionProperty> "mask-size"
    static member inline maxHeight = unbox<ITransitionProperty> "max-height"
    static member inline maxLines = unbox<ITransitionProperty> "max-lines"
    static member inline maxWidth = unbox<ITransitionProperty> "max-width"
    static member inline minHeight = unbox<ITransitionProperty> "min-height"
    static member inline minWidth = unbox<ITransitionProperty> "min-width"
    static member inline objectPosition = unbox<ITransitionProperty> "object-position"
    static member inline offset = unbox<ITransitionProperty> "offset"
    static member inline offsetAnchor = unbox<ITransitionProperty> "offset-anchor"
    static member inline offsetDistance = unbox<ITransitionProperty> "offset-distance"
    static member inline offsetPath = unbox<ITransitionProperty> "offset-path"
    static member inline offsetPosition = unbox<ITransitionProperty> "offset-position"
    static member inline offsetRotate = unbox<ITransitionProperty> "offset-rotate"
    static member inline opacity = unbox<ITransitionProperty> "opacity"
    static member inline order = unbox<ITransitionProperty> "order"
    static member inline outline = unbox<ITransitionProperty> "outline"
    static member inline outlineColor = unbox<ITransitionProperty> "outline-color"
    static member inline outlineOffset = unbox<ITransitionProperty> "outline-offset"
    static member inline outlineWidth = unbox<ITransitionProperty> "outline-width"
    static member inline padding = unbox<ITransitionProperty> "padding"
    static member inline paddingBottom = unbox<ITransitionProperty> "padding-bottom"
    static member inline paddingLeft = unbox<ITransitionProperty> "padding-left"
    static member inline paddingRight = unbox<ITransitionProperty> "padding-right"
    static member inline paddingTop = unbox<ITransitionProperty> "padding-top"
    static member inline perspective = unbox<ITransitionProperty> "perspective"
    static member inline perspectiveOrigin = unbox<ITransitionProperty> "perspective-origin"
    static member inline right = unbox<ITransitionProperty> "right"
    static member inline rotate = unbox<ITransitionProperty> "rotate"
    static member inline rowGap = unbox<ITransitionProperty> "row-gap"
    static member inline scale = unbox<ITransitionProperty> "scale"
    static member inline scrollMargin = unbox<ITransitionProperty> "scroll-margin"
    static member inline scrollMarginBlock = unbox<ITransitionProperty> "scroll-margin-block"
    static member inline scrollMarginBlockEnd = unbox<ITransitionProperty> "scroll-margin-block-end"
    static member inline scrollMarginBlockStart = unbox<ITransitionProperty> "scroll-margin-block-start"
    static member inline scrollMarginBottom = unbox<ITransitionProperty> "scroll-margin-bottom"
    static member inline scrollMarginInline = unbox<ITransitionProperty> "scroll-margin-inline"
    static member inline scrollMarginInlineEnd = unbox<ITransitionProperty> "scroll-margin-inline-end"
    static member inline scrollMarginInlineStart = unbox<ITransitionProperty> "scroll-margin-inline-start"
    static member inline scrollMarginLeft = unbox<ITransitionProperty> "scroll-margin-left"
    static member inline scrollMarginRight = unbox<ITransitionProperty> "scroll-margin-right"
    static member inline scrollMarginTop = unbox<ITransitionProperty> "scroll-margin-top"
    static member inline scrollPadding = unbox<ITransitionProperty> "scroll-padding"
    static member inline scrollPaddingBlock = unbox<ITransitionProperty> "scroll-padding-block"
    static member inline scrollPaddingBlockEnd = unbox<ITransitionProperty> "scroll-padding-block-end"
    static member inline scrollPaddingBlockStart = unbox<ITransitionProperty> "scroll-padding-block-start"
    static member inline scrollPaddingBottom = unbox<ITransitionProperty> "scroll-padding-bottom"
    static member inline scrollPaddingInline = unbox<ITransitionProperty> "scroll-padding-inline"
    static member inline scrollPaddingInlineEnd = unbox<ITransitionProperty> "scroll-padding-inline-end"
    static member inline scrollPaddingInlineStart = unbox<ITransitionProperty> "scroll-padding-inline-start"
    static member inline scrollPaddingLeft = unbox<ITransitionProperty> "scroll-padding-left"
    static member inline scrollPaddingRight = unbox<ITransitionProperty> "scroll-padding-right"
    static member inline scrollPaddingTop = unbox<ITransitionProperty> "scroll-padding-top"
    static member inline scrollSnapCoordinate = unbox<ITransitionProperty> "scroll-snap-coordinate"
    static member inline scrollSnapDestination = unbox<ITransitionProperty> "scroll-snap-destination"
    static member inline scrollbarColor = unbox<ITransitionProperty> "scrollbar-color"
    static member inline shapeImageThreshold = unbox<ITransitionProperty> "shape-image-threshold"
    static member inline shapeMargin = unbox<ITransitionProperty> "shape-margin"
    static member inline shapeOutside = unbox<ITransitionProperty> "shape-outside"
    static member inline tabSize = unbox<ITransitionProperty> "tab-size"
    static member inline textDecoration = unbox<ITransitionProperty> "text-decoration"
    static member inline textDecorationColor = unbox<ITransitionProperty> "text-decoration-color"
    static member inline textEmphasis = unbox<ITransitionProperty> "text-emphasis"
    static member inline textEmphasisColor = unbox<ITransitionProperty> "text-emphasis-color"
    static member inline textIndent = unbox<ITransitionProperty> "text-indent"
    static member inline textShadow = unbox<ITransitionProperty> "text-shadow"
    static member inline top = unbox<ITransitionProperty> "top"
    static member inline transform = unbox<ITransitionProperty> "transform"
    static member inline transformOrigin = unbox<ITransitionProperty> "transform-origin"
    static member inline translate = unbox<ITransitionProperty> "translate"
    static member inline verticalAlign = unbox<ITransitionProperty> "vertical-align"
    static member inline visibility = unbox<ITransitionProperty> "visibility"
    static member inline width = unbox<ITransitionProperty> "width"
    static member inline wordSpacing = unbox<ITransitionProperty> "word-spacing"
    static member inline zIndex = unbox<ITransitionProperty> "z-index"
    static member inline zoom = unbox<ITransitionProperty> "zoom"
